Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`iwords`.`IChatService``

interface documentation

`class IChatService(Interface): (source)`

Known implementations: `twisted.words.service.WordsRealm`

View In Hierarchy

Undocumented

Method | `createGroup` | Create a new group with the given name.
Method | `createUser` | Create a new user with the given name.
Method | `getGroup` | Retrieve the group by the given name.
Method | `getUser` | Retrieve the user by the given name.
Method | `itergroups` | Return all groups available on this service.
Method | `lookupGroup` | Retrieve a group by name.
Attribute | `createGroupOnRequest` | A boolean indicating whether `getGroup` should implicitly create groups which are requested but which do not yet exist.
Attribute | `createUserOnRequest` | A boolean indicating whether `getUser` should implicitly create users which are requested but which do not yet exist.
Attribute | `name` | A short string identifying this chat service (eg, a hostname)

def createGroup(name): (source)

Create a new group with the given name.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the created group, or with fails with `twisted.words.ewords.DuplicateGroup` if a group by that name exists already.

def createUser(name): (source)

Create a new user with the given name.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the created user, or with fails with `twisted.words.ewords.DuplicateUser` if a user by that name exists already.

def getGroup(name): (source)

Retrieve the group by the given name.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the group with the given name if one exists (or if one is created due to the setting of `IChatService.createGroupOnRequest`, or which fails with `twisted.words.ewords.NoSuchGroup` if no such group exists.

def getUser(name): (source)

Retrieve the user by the given name.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the user with the given name if one exists (or if one is created due to the setting of `IChatService.createUserOnRequest`, or which fails with `twisted.words.ewords.NoSuchUser` if no such user exists.

def itergroups(): (source)

Return all groups available on this service.

Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with a list of `IGroup` providers.

def lookupGroup(name): (source)

Retrieve a group by name.

Unlike `getGroup`, this will never implicitly create a group.

Parameters
name:`str` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires with the group by the given name, or which fails with `twisted.words.ewords.NoSuchGroup`.

createGroupOnRequest = (source)

A boolean indicating whether `getGroup` should implicitly create groups which are requested but which do not yet exist.

createUserOnRequest = (source)

A boolean indicating whether `getUser` should implicitly create users which are requested but which do not yet exist.

name = (source)

A short string identifying this chat service (eg, a hostname)